# JTS3ServerMod-dockerized

## What is it? And can I eat it?

First: No, you can't eat it. But you can use it as a dockerized variant of the [JTS3ServerMod](https://www.stefan1200.de/forum/index.php?topic=2.0).  
JTS3ServerMod is a fairly perfect bot for your TeamSpeak server – written in Java. Because some people need/want a Docker image and the original author Stefan1200 does not provide one, I am here to help you.

## Supported architectures

- linux/amd64
- linux/arm/v7
- linux/arm/v6
- linux/arm64/v8

## Running the image

You can run the image as any other image, it automatically exposes the required minimum volume with the config files. For more details how to configure the JTS3ServerMod, please see its official docs, either by mapping the _documents_ volume or by visiting [its online documentation](https://www.stefan1200.de/documentation/jts3servermod/readme.html).

### Possible volume mapping

| Volume    | Path in the container      | Description                                                                                                 |
| --------- | -------------------------- | ----------------------------------------------------------------------------------------------------------- |
| config    | `/JTS3ServerMod/config`    | Config files                                                                                                |
| documents | `/JTS3ServerMod/documents` | Documentation files of the bot + original _changelog.txt_ and _readme.txt_ (+german variant)                |
| plugins   | `/JTS3ServerMod/plugins`   | Additional plugins can be uploaded in this directory - please follow the original docs of the JTS3ServerMod |

## Getting Help

Please use the [issue tracker](https://git.nick-slowinski.de/NickSlowinski/JTS3ServerMod-dockerized/issues) to search for your problem (and use different phrases). If you ensure your problem is unique, [create a ticket](https://git.nick-slowinski.de/NickSlowinski/JTS3ServerMod-dockerized/issues/new) and provide helpful information like logs, what you have done, useful parts of your config, etc.  
If you found a security vulnerability, please contact me privately via e-mail at nick@nick-slowinski.de (and encrypt the message with [my PGP key](https://keys.openpgp.org/search?q=nick%40nick-slowinski.de) if possible). Security vulnerabilities are prioritized, and a public announcement is made after a fix is released.

## Contributing

Contributions to this project are welcome. If you found a way to improve this project, feel free to open a [ticket](https://git.nick-slowinski.de/NickSlowinski/JTS3ServerMod-dockerized/issues/new) and discuss what you want to achieve (so you do not waste your time, if it is out of the scope).  
A full contributors guide will be published at a later time.

## Authors

- [Maintainers](MAINTAINERS)
- [Contributors](CONTRIBUTORS)
- [Translators](TRANSLATORS)

## License

This project is licensed under the _GNU General Public License_. See [LICENSE](LICENSE) for the complete license text.

## Frequently Asked Questions

### Are you planning to release images for other architectures?

Not for now, but if somebody requests another architecture (via the issue tracker), I will look into it, what I can do.

### Why do you use openjdk8 and not 11?

I want to keep the image as small as possible, therefor OpenJDK 8 was chosen over 11. As long as OpenJDK 8 is supported and is sufficient for this project, it will be used.

### Is the JTS3ServerMod Hosting Edition supported?

Not at the moment. I can build an image for it (Stefan1200 exposes the downloads for it), but there is no way I could test it because I do not have a license key for it.
